#jinja2: trim_blocks: True, lstrip_blocks: True

# vm configuration ~~ /etc/vm.conf
# managed by Ansible

# ====================== #
# virtual network switch
# ====================== #

switch "{{ vmm.switch.name }}" {
	interface {{ vmm.switch.iface }}
}

# ============================ #
# virtual machines declaration
# ============================ #

{% for vm in vms if hostvars[vm.name] is defined %}
{% set guest = hostvars[vm.name] %}
vm "{{ guest.ansible_host }}" {
	{% if vm.enable is defined and vm.enable %}
	enable
	{% else %}
	disable
	{% endif %}
	memory {{ vm.memory }}
	disk "{{ vmm.disk_dir }}/{{ guest.ansible_host }}.{{ vmm.disk_format }}"
	interface {
		switch "{{ vmm.switch.name }}"
	}
}

{% endfor %}
